Skip to navigation

Update a storyline

Authentication

AuthorizationBearer

LoreOS runtime API key (ck_...), sent as Authorization: Bearer <key>.

Path parameters

slugstringRequired
storyline_idstringRequired

Request

This endpoint expects an object.
storyline_refstring or nullOptional1-160 characters
titlestring or nullOptional1-240 characters
premisestring or nullOptional<=4000 characters
themestring or nullOptional<=500 characters
relation_to_aspirationstring or nullOptional<=2000 characters
statusenum or nullOptional
Allowed values:
modeenum or nullOptional
Allowed values:
visibility_tierenum or nullOptional
Allowed values:
canon_tierenum or nullOptional
Allowed values:
constraints_jsonmap from strings to any or nullOptional
reveal_rulesmap from strings to any or nullOptional
forbidden_beforelist of strings or nullOptional
approval_policyenum or nullOptional
Allowed values:
metadatamap from strings to any or nullOptional
beatslist of objects or nullOptional

Response

Successful Response

Errors

422
Unprocessable Entity Error